aboutsummaryrefslogtreecommitdiffstats
path: root/main
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2019-12-03 13:14:58 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2019-12-04 10:49:21 +0000
commitbb7703ed87183628e75cfa1f8f7e6da2c44c2f41 (patch)
tree23b8d4568993afd0ed71282a1c67f24561e64a42 /main
parent08894e94b4eef27c98848494e253f8a14477145a (diff)
downloadaports-bb7703ed87183628e75cfa1f8f7e6da2c44c2f41.tar.bz2
aports-bb7703ed87183628e75cfa1f8f7e6da2c44c2f41.tar.xz
main/doas: move from community
we want include this tool on the release media so move it to main for long term support.
Diffstat (limited to 'main')
-rw-r--r--main/doas/APKBUILD40
-rw-r--r--main/doas/doas.conf4
2 files changed, 44 insertions, 0 deletions
diff --git a/main/doas/APKBUILD b/main/doas/APKBUILD
new file mode 100644
index 0000000000..90f2b5fe0d
--- /dev/null
+++ b/main/doas/APKBUILD
@@ -0,0 +1,40 @@
+# Maintainer: Drew DeVault <sir@cmpwn.com>
+pkgname=doas
+pkgver=6.6
+pkgrel=1
+pkgdesc="OpenBSD's temporary privledge escalation tool"
+url="https://github.com/Duncaen/OpenDoas"
+arch="all"
+license="BSD"
+makedepends="bison"
+subpackages="$pkgname-doc"
+source="
+ $pkgname-$pkgver.tar.gz::https://github.com/Duncaen/OpenDoas/archive/v$pkgver.tar.gz
+ doas.conf
+"
+builddir="$srcdir/OpenDoas-$pkgver"
+options="$options suid"
+
+build() {
+ cd "$builddir"
+ ./configure \
+ --prefix=/usr \
+ --without-pam \
+ --with-timestamp
+ make
+}
+
+check() {
+ cd "$builddir"
+ # doas -v returns 1
+ ./doas -v || test $? = 1
+}
+
+package() {
+ cd "$builddir"
+ make install DESTDIR="$pkgdir"
+ install -Dm440 "$srcdir"/doas.conf "$pkgdir"/etc/doas.conf
+}
+
+sha512sums="0ccd84eda9ec109926bfc58997ef7b0ab47ac75208b7e2f98477ec9f0211dd468d826bfc2758340188c934e6198b98eff0662b684166575f12742c7c1ab05e89 doas-6.6.tar.gz
+5035ae91293953b292c430334e949e11e5b482c5c91c7f018ac8286a791568a3006499649f487547a262291c0968618522fbc14acb5e2faa2af52accf15bbc49 doas.conf"
diff --git a/main/doas/doas.conf b/main/doas/doas.conf
new file mode 100644
index 0000000000..57907748ab
--- /dev/null
+++ b/main/doas/doas.conf
@@ -0,0 +1,4 @@
+# see doas.conf(5) for configuration details
+
+# Uncomment to allow group "admin" to become root
+# permit :admin